FILEMODE(1)

NAME
filemode - print the file access permissions of the specified files

SYNOPSIS
filemode [-h(elp)] [-f file_list] [-p(ipe)] [-q(uiet)] [-v(erbose)] [file...]

DESCRIPTION
filemode prints out the file access permissions of the specified files.

OPTIONS

-h  Print help and quit.

-f file_list
    Read the names of files to be processed from the specified file.

-p  Read the names of files to be processed from stdin.

-q  Quiet output. Do not print the filename with program output.

-v  Verbose output. Print the filename with program output.

NOTES
The program defaults to quiet for a single file and verbose for multiple files. The -f and -p options can be used simultaneously with filenames specified on the command-line. Note that this program operates very similarly to stat -c '%a'. If you are trying to write highly portable shell scripts, you might consider using stat instead.

COPYRIGHT
Copyright (C) 2004-2026 by Brian Lindholm. This program is free software; you can use it, redistribute it, and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.